package com.wissamfawaz;

import java.io.BufferedReader;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

import javax.xml.bind.DataBindingException;
import javax.xml.bind.JAXB;

public class ReadXMLFile {
	private BufferedReader br;
	
	public void openFile() {
		try {
			br = Files.newBufferedReader(Paths.get("records.xml"));
		} catch (IOException e) {
			System.err.println("Error opening the file. Terminating.");
			System.exit(1);
		}
	}
	
	public void readRecords() {
		System.out.printf("%-10s %-12s %-12s %10s%n", "Acct ID", 
				"First name", "Last name", "Balance");
		try {
			Accounts accounts = JAXB.unmarshal(br, Accounts.class);
			for(Account account : accounts.getAccounts()) {
				System.out.printf("%-10d %-12s %-12s %10.2f%n", account.getID(), 
						account.getFirst(), account.getLast(), account.getBalance());
			}
		} catch(DataBindingException e) {
			System.err.println("Error reading data in.");
		}
	}
	
	public void closeFile() {
		if(br != null)
			try {
				br.close();
			} catch (IOException e) {
				System.err.println("Error closing the file. Terminating.");
				System.exit(1);
			}
		
	}
	
	
	
	
	
	
	
	
	
	
	

}
